return {
	"VonHeikemen/searchbox.nvim",
	dependencies = {
		"MunifTanjim/nui.nvim",
	},
	config = function()
		require("searchbox").setup({
			popup = {
				win_options = {
					winhighlight = "Normal:Normal,FloatBorder:BorderBG,CursorLine:PmenuSel,Search:None",
				},
			},
			hooks = {
				after_mount = function(input)
					local opts = { buffer = input.bufnr }

					vim.keymap.set("i", "<Up>", "<Plug>(searchbox-prev-match)", opts)
					vim.keymap.set("i", "<Down>", "<Plug>(searchbox-next-match)", opts)
					-- vim.keymap.set("i", "<S-CR>", "<Plug>(searchbox-prev-match)", opts)
					-- vim.keymap.set("i", "<CR>", "<Plug>(searchbox-next-match)", opts)
				end,
			},
		})
	end,
}
